Skip to main content
GET
/
workflows
/
executions
/
{id}
/
wait
Wait for a workflow execution to reach a terminal state (long-poll).
curl --request GET \
  --url https://api.artu.ai/workflows/executions/{id}/wait \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "<string>",
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "eventId": "<string>",
  "triggerType": "<string>",
  "entityType": "<string>",
  "entityId": "<string>",
  "eventType": "<string>",
  "error": "<string>",
  "alertIds": [
    "<string>"
  ],
  "durationMs": 0,
  "initiatedBy": "<string>",
  "createdAt": "<string>",
  "producedRecords": [],
  "producedFiles": [],
  "completedAt": "<string>",
  "inputs": {},
  "resolvedVariables": {},
  "workflowTrace": {
    "workflowSnapshot": {
      "nodes": [],
      "edges": []
    },
    "nodeTraces": [
      {
        "nodeId": "<string>",
        "type": "<string>",
        "durationMs": 123,
        "error": "<string>",
        "skipped": true,
        "rowCounts": {},
        "columns": {},
        "outputs": {}
      }
    ],
    "durationMs": 123,
    "error": "<string>"
  },
  "warnings": []
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Query Parameters

timeoutMs
integer
Required range: 1000 <= x <= 60000

Response

200 - application/json

OK

id
string<uuid>
required
organizationId
string
required
environment
enum<string>
required
Available options:
test,
live
workflowId
string<uuid>
required
eventId
string
required
triggerType
string
required
entityType
string | null
required
entityId
string | null
required
eventType
string | null
required
status
enum<string>
required
Available options:
running,
waiting_for_input,
completed,
errored,
timed_out,
cancelled,
abandoned
error
string | null
required
alertIds
string[]
required
durationMs
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
initiatedBy
string | null
required

User ID that initiated this execution (null for system-triggered runs)

createdAt
string
required
producedRecords
object[]
producedFiles
object[]
completedAt
string | null
inputs
object
resolvedVariables
object
workflowTrace
object
warnings
object[]